<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description"
		content="Responsive Bootstrap4 Shop Template, Created by Imran Hossain from https://imransdesign.com/">

	<!-- title -->
	<title>HiCamp 登露</title>
	<style>
		.breadcrumb-text {
			width: 100%;
			height: 100%;
			position: relative;
			display: flex;
			justify-content: center;
		}

		.login-area {
			background-color: #fff;
			width: 70%;
			border-radius: 20px;
			background-color: #ffffff;
			box-shadow: 0 0 10px rgb(151, 151, 151);
			padding: 45px 30px 45px 30px;
			position: absolute;
		}

		.login-area h2 {
			color: #F28123;
			margin-bottom: 10px;
			font-size: 2.5rem;
		}
		
		.login-area input {
			font-size: 18px;
			border: 1px solid #ddd;
			border-radius: 3px;
		}

		.step {
			margin-bottom: 30px;
		}

		.first span,
		.second span,
		.third span {
			color: #F28123;
			font-size: 18px;
			font-weight: bold;
		}

		.step span {
			color: #F28123;
			font-size: 18px;
		}

		.step .number {
			color: white;
			background-color: #F28123;
			width: 2em;
			height: 2em;
			border-radius: 50%;
			display: inline-block;
			line-height: 2em;
		}

		.firstBtn,
		.secondBtn,
		.thirdBtn {
			font-size: 18px;
			font-weight: bold;
			background-color: #F28123;
			color: white;
			width: 95px;
			border-radius: 8px;
			margin-top: 30px;
			border: 1px solid #F28123;
		}

		.firstBtn:hover,
		.secondBtn:hover,
		.thirdBtn:hover {
			background-color: #fff;
			color: #F28123;
			border: 1px solid #F28123;
		}

		.second {
			display: none;
		}

		.verify {
			width: 30px;
			text-align: center;
			font-size: 18px;
		}

		.third {
			display: none;
		}
	</style>

</head>

<body>

	<div th:replace="~{layout/frontTopBar}"></div>

	<!-- breadcrumb-section -->
	<div class="breadcrumb-section breadcrumb-bg">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 offset-lg-2 text-center">
					<div class="breadcrumb-text">
						<div class="login-area">

							<div class="first">
								<div class="step">
									<span class="number firstArea">1</span>
									<span>---------------</span>
									<span class="number secondArea" style="background-color: #565656;">2</span>
									<span>---------------</span>
									<span class="number thirdArea" style="background-color: #565656;">3</span>
								</div>
								<h2>找回密碼</h2>
								<span>請輸入帳號：</span>
								<input type="text" class="memberEmail"><br>
								<button class="firstBtn">下一步</button>
							</div>

							<div class="second">
								<div class="step">
									<span class="number firstArea">1</span>
									<span>---------------</span>
									<span class="number secondArea">2</span>
									<span>---------------</span>
									<span class="number thirdArea" style="background-color: #565656;">3</span>
								</div>
								<h2>找回密碼</h2>
								<span>請輸入驗證碼：</span><br>
								<input type="text" class="verify one" style="margin-top: 20px;" maxlength="1">
								<input type="text" class="verify two" maxlength="1">
								<input type="text" class="verify three" maxlength="1">
								<input type="text" class="verify four" maxlength="1">
								<input type="text" class="verify five" maxlength="1">
								<input type="text" class="verify six" maxlength="1">
								<br>
								<button class="secondBtn">下一步</button>
							</div>

							<div class="third">
								<div class="step">
									<span class="number firstArea">1</span>
									<span>---------------</span>
									<span class="number secondArea">2</span>
									<span>---------------</span>
									<span class="number thirdArea">3</span>
								</div>
								<h2>找回密碼</h2>
								<span>請輸新密碼：</span>
								<input type="password" name="memberPassword" id="memberPassword" placeholder="請輸入您的密碼"
									required><br>
								<span>確認新密碼：</span>
								<input type="password" name="confirm_password" id="confirm_password"
									placeholder="請再次輸入您的密碼" required><br>
								<span id="password_match_message" style="color: red;"></span><br>
								<button class="thirdBtn">下一步</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- end breadcrumb section -->

	<!-- featured section -->
	<div class="feature-bg">
		<div class="container">
			<div class="row">
				<div class="col-lg-7">
					<div class="featured-text">

					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- end featured section -->

	<script>
		$(function () {
			// 限制驗證碼欄位
			$(".verify").keyup(function () {
				if ($(this).val().length == 1) {
					$(this).next().focus();
				}
			})

			//第一步，送出信箱並驗證
			$(".firstBtn").click(function () {
				let email = $(".memberEmail").val();
				$.ajax({
					url: "http://localhost:8080/HiCamp/sendcheckemail",
					type: "get",
					data: {
						memberEmail: email
					},
					success: function (response) {
						if (response) {
							Swal.fire({
								position: 'top-center',
								icon: 'success',
								title: '請前往信相收取驗證碼',
								showConfirmButton: false,
								timer: 2000
							});
							$(".first").css({ "display": "none" });
							$(".second").css({ "display": "block" });
							$(".third").css({ "display": "none" });
						} else {
							Swal.fire({
								position: 'top-center',
								icon: 'error',
								title: '請確認信箱是否正確',
								showConfirmButton: false,
								timer: 2000
							});
						}
					}
				})
			})

			//第二步,確認驗證碼
			$(".secondBtn").click(function () {
				let verify = "";
				verify += $(".one").val();
				verify += $(".two").val();
				verify += $(".three").val();
				verify += $(".four").val();
				verify += $(".five").val();
				verify += $(".six").val();
				console.log(verify);

				$.ajax({
					url: "http://localhost:8080/HiCamp/checkVerify",
					type: "get",
					data: {
						"verify": verify
					},
					success: function (response) {
						if (response) {
							Swal.fire({
								position: 'top-center',
								icon: 'success',
								title: '確認！請設定新密碼',
								showConfirmButton: false,
								timer: 2000
							});
							$(".first").css({ "display": "none" });
							$(".second").css({ "display": "none" });
							$(".third").css({ "display": "block" });
						} else {
							Swal.fire({
								position: 'top-center',
								icon: 'error',
								title: '驗證碼錯誤，請重新輸入',
								showConfirmButton: false,
								timer: 2000
							});
							$(".one").val("");
							$(".two").val("");
							$(".three").val("");
							$(".four").val("");
							$(".five").val("");
							$(".six").val("");
						}
					}
				})
			})

			//判斷密碼是否一致
			$("#memberPassword").keyup(function (e) {
				if ($("#memberPassword").val() !== $("#confirm_password").val())
					$("#password_match_message").text('密碼不一致');
				else
					$("#password_match_message").text('');
			});
			$("#confirm_password").keyup(function (e) {
				if ($("#memberPassword").val() !== $("#confirm_password").val())
					$("#password_match_message").text('密碼不一致');
				else
					$("#password_match_message").text('');
			});

			//第三步，送出修改密碼
			$(".thirdBtn").click(function () {
				let password = $("#memberPassword").val();
				let email = $(".memberEmail").val();

				$.ajax({
					url: "http://localhost:8080/HiCamp/changepassword",
					type: "get",
					data: {
						"memberEmail": email,
						"memberPassword": password
					},
					success: function () {
						Swal.fire({
							position: 'top-center',
							icon: 'success',
							title: '恭喜你成功修改密碼！',
							showConfirmButton: false,
							timer: 2000
						});
						setTimeout(() => {
							window.location.href = "http://localhost:8080/HiCamp/projecthomepage";
						}, 2000);
					}
				})
			})
		})
	</script>
</body>

</html>